//获取域名 
var VALIDAT_URL = "https://zhishu.alcrs.com/poseidon-server/";
//var VALIDAT_URL = "https://test.alcrs.com/poseidon-server/";
//var VALIDAT_URL = "http://172.19.2.191:8080/poseidon-server/";
(function($, owner) { 
	/** 
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (loginInfo.account.length < 5) { 
			return callback('请输入手机号码');
		}
		if (loginInfo.password.length < 1) {
			return callback('密码最短为 1 位');
		}
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		//判断是否登录正确
		owner.loginCheck(loginInfo,callback);
	};

	/**
	 * 后台校验登录信息
	 * @param {Object} loginInfo
	 * @param {Object} callback
	 */
	owner.loginCheck = function(loginInfo,callback){
		var nowPassword = loginInfo.password+'';
		var account = owner.jsEncode(loginInfo.account+'');
		var password = owner.jsEncode(loginInfo.password+'');
		var loading = true;
		var obj = owner.getUserInfo();
		//后台查询数据
		mui.ajax(VALIDAT_URL+'zsuserManager/login',{
			data:{ 
				"userNo":account,
				"password":password
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:5000,//超时时间设置为10秒；
			beforeSend: function() {
				var options = {
					width:"80%",
					color:'#FFFFFF',
					modal:true
				};
				if (loading) {
//					plus.nativeUI.showWaiting("正在登录...",options);
				}
			},
			complete: function() { 
				if (loading) {
					plus.nativeUI.closeWaiting();
				}
			},
			success:function(data){
				var code = data.code;
				var msg = data.msg;
//				1、用户名或密码错误
//				2、该用户不存在!
//				3、连接服务器认证异常!
//				4、连接超时!
				if (code == '1' || code == '2' || code == '3' || code == '4') {
					return callback(msg);
				}else if(code == '0') {//登录成功
					return owner.createUserInfo(data,nowPassword, callback);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理； 
				console.log(type);
				return callback('对不起！连接服务器异常');
			}
		});
	};
	//保存信息用户信息
	owner.createUserInfo = function(data,nowPassword, callback) {
		var showGuide = plus.storage.setItem("lauchFlag","true");
		var userinfo = owner.getUserInfo();
		userinfo.userId = data.data.userId;
		userinfo.tenantId = data.data.tenantId;
		userinfo.userName = data.data.userName;
		userinfo.userPost = data.data.userPost;
		userinfo.superLead = data.data.superLead;
		userinfo.eMail = data.data.eMail; 
		userinfo.teleNo = data.data.teleNo;
		userinfo.mobileNo = data.data.mobileNo;
		userinfo.headUrl = data.data.headUrl;
		userinfo.selfIndution = data.data.selfIndution;
		userinfo.busiSpecial = data.data.busiSpecial;
		userinfo.userNo = data.data.userNo;
		userinfo.dutyer = data.data.dutyer;
		userinfo.orgAddress = data.data.orgAddress;
		userinfo.orgId = data.data.orgId;
		userinfo.orgName = data.data.orgName;
		userinfo.sessionId = data.sessionId;
		userinfo.password = nowPassword;
		userinfo.isTry = (data.data.status=="02"?"0":"1");
		userinfo.tradeType = data.data.tradeType;
		//域名
		var webserviceUrl = data.webserviceUrl;
		userinfo.webserviceUrl = data.webserviceUrl;

		var inviteCode = owner.jsEncode(data.data.tenantId + "," + data.data.orgId + "," + data.data.userId);
		userinfo.inviteCode = inviteCode;
		userinfo.sessionId = data.sessionId;
		owner.setUserInfo(userinfo);
		//保存cookie
		var nowDate = new Date();
		nowDate.setTime(nowDate.getTime()+2*24*60*60*1000); 
		plus.navigator.setCookie(webserviceUrl, "EUNOMIASESSIONID="+data.sessionId+"; expires="+nowDate.toGMTString()+"; path=/");
		return callback();
	};

	/**
	 * 获取当前用户信息
	 **/
	owner.getUserInfo = function() {
		var userinfo = localStorage.getItem('$longshine_info') || "{}";
		return JSON.parse(userinfo);
	};

	/**
	 * 设置用户信息
	 **/
	owner.setUserInfo = function(userinfo) {
		userinfo = userinfo || {};
		localStorage.setItem('$longshine_info', JSON.stringify(userinfo));
	};
	
	/**
	 * app端数据加密
	 * @param {Object} input
	 */
	owner.jsEncode = function(input){
		var keyStr = "ABCDEFGHIJKLMNOP" + "QRSTUVWXYZabcdef" + "ghijklmnopqrstuv" + "wxyz0123456789+/" + "=";
        var output = "";
        var chr1, chr2, chr3 = "";
        var enc1, enc2, enc3, enc4 = "";
        var i = 0;
        do {
            chr1 = input.charCodeAt(i++);
            chr2 = input.charCodeAt(i++);
            chr3 = input.charCodeAt(i++);
            enc1 = chr1 >> 2;
            enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
            enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
            enc4 = chr3 & 63;
            if (isNaN(chr2)) {
                    enc3 = enc4 = 64;
            } else if (isNaN(chr3)) {
                    enc4 = 64;
            }
            output = output + keyStr.charAt(enc1) + keyStr.charAt(enc2)
                            + keyStr.charAt(enc3) + keyStr.charAt(enc4);
            chr1 = chr2 = chr3 = "";
            enc1 = enc2 = enc3 = enc4 = "";
        } while (i < input.length);
        return output;
	};
	
}(mui, window.app = {}));